# context.cpp File Reference

`#include <boost/config.hpp>`
`#include <boost/lexical_cast.hpp>`
`#include <saga/saga/exception.hpp>`
`#include <saga/saga/context.hpp>`
`#include <saga/impl/context.hpp>`
`#include <saga/impl/engine/object.hpp>`
`#include <saga/impl/engine/proxy.hpp>`
`#include <saga/impl/engine/metric.hpp>`
`#include <saga/saga/detail/attribute_impl.hpp>`
`#include <boost/assign/std/vector.hpp>`

## Namespaces
namespace | saga
namespace | saga::detail
## Variables
template struct SAGA_EXPORT_REPEAT | saga::detail::attribute< context >